/*****************************************************************/
/*   Licensed Materials - Property of IBM                        */
/*   5698-T07                                                    */
/*                                                               */
/*   Copyright IBM Corporation 2009, 2011. All rights reserved   */
/*   US Government Users Restricted Rights - Use, duplication or */
/*   disclosure restricted by GSA ADP Schedule Contract with     */
/*   IBM Corp.                                                   */
/*                                                               */
/* ***************************************************************/
/* ***************************************************************/
/* kgw_upg.sql- TEMS upgrade seed data                           */
/*                                                               */
/* This file is a collection of SQL used as part of the product  */
/* application support installation at the TEMS as part of a     */
/* UPGRADE installation. Following installation this file is     */
/* stored in the SQLLIB subdirectories.                          */
/*                                                               */
/* This file should contain everthing in kgw.sql plus updates    */
/* where function has changed from previous versions.            */
/*                                                               */
/*                                                               */
/* CHANGE HISTORY                                                */
/* yyyymmdd CMVC    VRMF Who Description                         */ 
/* 20110311 F150029 V510 FF  Initial new format of file          */
/*                                                               */                                                             
/* ************************************************************* */
/* START OF kgw.sql INSERT                                       */

/*****************************************************************/
/*   Licensed Materials - Property of IBM                        */
/*   5698-T07                                                    */
/*                                                               */
/*   Copyright IBM Corporation 2009, 2011. All rights reserved   */
/*   US Government Users Restricted Rights - Use, duplication or */
/*   disclosure restricted by GSA ADP Schedule Contract with     */
/*   IBM Corp.                                                   */
/*                                                               */
/* ***************************************************************/
/* ************************************************************* */
/* kgw.sql  - TEMS seed data for OMEGAMON XE for CICS TG on z/OS */
/*                                                               */
/* This member is a concatenation of the SQL listed below, and   */
/* is distributed in a file called kgw.sql that is stored in     */
/* the SQLLIB subdirectories installed via the product CD.       */
/*                                                               */
/* FCSSITF - Situations Table                                    */
/* FCSDOBJ - Access List Table                                   */
/*                                                               */
/* Information appended from kgw_sql.append appears last.  Do    */
/* not remove or replace the appended data generated by the      */
/* Globalization Conversion utility.                             */
/*                                                               */
/* CHANGE HISTORY:                                               */
/* yyyymmdd CMVC    VRMF Who Description                         */
/* 20070426 D46551  V410 TAM Reverse order of FCSDOBJ and FCSSITF*/
/* 20070207 F41684  V410 TAM Product-provided situations         */
/* 20070426 D46551  V410 TAM Change TS_Server to TS_Region       */
/* 20070207 F41684  V410 TAM Product-provided situations         */
/* 20072906         V420 JDT remove situation dist. (DCR 97)     */
/* 20110217 F148211 V510 FF  Initial new format of file          */
/* 20110311 F150029 V510 FF  Format updated to be compared with  */
/*                           kcp.sql                             */
/* ************************************************************* */
/*                                                               */
/* ************************************************************* */
/* FCSSITF - SQL calls for situations table                      */
/*                                                               */
/* Table : TSITDESC                                              */
/* File  : &HILEV.RKDSSITF                                       */
/*                                                               */
/* ************************************************************* */

$PARMS
(
   "The Health of this CICS Transaction Gateway daemon has dropped below
 100 percent. Intermittent connectivity problems between the Gateway dae
mon and CICS can cause the Health to drop, and if TCP/IP load balancing
is in use the number of new connections being established with the affec
ted Gateway daemon will be reduced. Investigate the connectivity to CICS
."
);
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSOPT ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTCCSID ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   OBJECTLOCK ,
   PDT ,
   PRNAMES ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   SITNAME ,
   SITINFO,
   ADVISE ,
   TEXT
  )
VALUES
  ("0000000000000000000W000000000000##000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "NNN" ,                                               /* AUTOSOPT */
   "*NO" ,                                              /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   "Y" ,                                                      /* HUB */
   " " ,                                                 /* LSTCCSID */
   "1050104120000000" ,                                   /* LSTDATE */
   "V410" ,                                            /* LSTRELEASE */
   " " ,                                                /* LSTUSRPRF */
   " " ,                                               /* OBJECTLOCK */
   "*IF *VALUE CICSTG_Region_Overview.Health *LT 100",
   "PRNAMES" ,                                            /* PRNAMES */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000200" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   "CICSTG_Health_Warning" ,                              /* SITNAME */
   "SEV=Warning",                                         /* SITINFO */
   ? ,                                                     /* ADVISE */
   "CICS TG Health Warning"                                  /* TEXT */
  );
  
$PARMS
(
   "The Health of this CICS Transaction Gateway daemon has dropped to 0.
 Connectivity problems between the Gateway daemon and CICS mean that no
requests being sent to this Gateway daemon have been successful. If TCP/
IP load balancing is in use no more connections will be established to t
he Gateway daemon until the Health recovers or is reset."
);
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSOPT ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTCCSID ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   OBJECTLOCK ,
   PDT ,
   PRNAMES ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   SITNAME ,
   SITINFO,
   ADVISE ,
   TEXT
  )
VALUES
  ("0000000000000000000W000000000000##000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "NNN" ,                                               /* AUTOSOPT */
   "*NO" ,                                              /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   "Y" ,                                                      /* HUB */
   " " ,                                                 /* LSTCCSID */
   "1050104120000000" ,                                   /* LSTDATE */
   "V410" ,                                            /* LSTRELEASE */
   " " ,                                                /* LSTUSRPRF */
   " " ,                                               /* OBJECTLOCK */
   "*IF *VALUE CICSTG_Region_Overview.Health *EQ 0",
   "PRNAMES" ,                                            /* PRNAMES */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000200" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   "CICSTG_Health_Critical" ,                             /* SITNAME */
   "SEV=Critical",                                        /* SITINFO */
   ? ,                                                     /* ADVISE */
   "CICS TG Health Critical"                                 /* TEXT */
  );
  
$PARMS
(
   "More than half of the Extended LUW transactions being sent through t
his Gateway daemon are being rolled back. If this is higher than expecte
d it suggests a CICS or application problem."
);
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSOPT ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTCCSID ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   OBJECTLOCK ,
   PDT ,
   PRNAMES ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   SITNAME ,
   SITINFO,
   ADVISE ,
   TEXT
  )
VALUES
  ("0000000000000000000W000000000000##000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "NNN" ,                                               /* AUTOSOPT */
   "*NO" ,                                              /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   "Y" ,                                                      /* HUB */
   " " ,                                                 /* LSTCCSID */
   "1050104120000000" ,                                   /* LSTDATE */
   "V410" ,                                            /* LSTRELEASE */
   " " ,                                                /* LSTUSRPRF */
   " " ,                                               /* OBJECTLOCK */
   "*IF *VALUE CICSTG_Gateway_Daemon.Extended_LUW_Transactions_Rolled_Ba
ck_Percentage *GT 50",
   "PRNAMES" ,                                            /* PRNAMES */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000200" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   "CICSTG_RollbackLUW_Critical" ,                        /* SITNAME */
   "SEV=Critical",                                        /* SITINFO */
   ? ,                                                     /* ADVISE */
   "CICS TG Rollback LUW Critical"                           /* TEXT */
  );

$PARMS
(
   "More than a quarter of the Extended LUW transactions being sent thro
ugh this Gateway daemon are being rolled back. If this is higher than ex
pected it suggests a CICS or application problem."
);
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSOPT ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTCCSID ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   OBJECTLOCK ,
   PDT ,
   PRNAMES ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   SITNAME ,
   SITINFO,
   ADVISE ,
   TEXT
  )
VALUES
  ("0000000000000000000W000000000000##000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "NNN" ,                                               /* AUTOSOPT */
   "*NO" ,                                              /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   "Y" ,                                                      /* HUB */
   " " ,                                                 /* LSTCCSID */
   "1050104120000000" ,                                   /* LSTDATE */
   "V410" ,                                            /* LSTRELEASE */
   " " ,                                                /* LSTUSRPRF */
   " " ,                                               /* OBJECTLOCK */
   "*IF *VALUE CICSTG_Gateway_Daemon.Extended_LUW_Transactions_Rolled_Ba
ck_Percentage *GT 25",
   "PRNAMES" ,                                            /* PRNAMES */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000200" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   "CICSTG_RollbackLUW_Warning" ,                         /* SITNAME */
   "SEV=Warning",                                         /* SITINFO */
   ? ,                                                     /* ADVISE */
   "CICS TG Rollback LUW Warning"                            /* TEXT */
  );
  
$PARMS
(
   "More than half of the XA transactions being sent through this Gatewa
y daemon are being rolled back. If this is higher than expected it may s
uggest a problem in CICS, with your application, or with other resource 
managers involved in this transaction."
);
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSOPT ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTCCSID ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   OBJECTLOCK ,
   PDT ,
   PRNAMES ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   SITNAME ,
   SITINFO,
   ADVISE ,
   TEXT
  )
VALUES
  ("0000000000000000000W000000000000##000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "NNN" ,                                               /* AUTOSOPT */
   "*NO" ,                                              /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   "Y" ,                                                      /* HUB */
   " " ,                                                 /* LSTCCSID */
   "1050104120000000" ,                                   /* LSTDATE */
   "V410" ,                                            /* LSTRELEASE */
   " " ,                                                /* LSTUSRPRF */
   " " ,                                               /* OBJECTLOCK */
   "*IF *VALUE CICSTG_Gateway_Daemon.XA_Transactions_Rolled_Back_Percent 
age *GT 50",
   "PRNAMES" ,                                            /* PRNAMES */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000200" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   "CICSTG_RollbackXA_Critical" ,                         /* SITNAME */
   "SEV=Critical",                                        /* SITINFO */
   ? ,                                                     /* ADVISE */
   "CICS TG Rollback XA Critical"                            /* TEXT */
  );
  
$PARMS
(
   "More than a quarter of the XA transactions being sent through this G
ateway daemon are being rolled back. If this is higher than expected it
may suggest a problem in CICS, with your application, or with other reso
urce managers involved in this transaction."
);
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSOPT ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTCCSID ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   OBJECTLOCK ,
   PDT ,
   PRNAMES ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   SITNAME ,
   SITINFO,
   ADVISE ,
   TEXT
  )
VALUES
  ("0000000000000000000W000000000000##000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "NNN" ,                                               /* AUTOSOPT */
   "*NO" ,                                              /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   "Y" ,                                                      /* HUB */
   " " ,                                                 /* LSTCCSID */
   "1050104120000000" ,                                   /* LSTDATE */
   "V410" ,                                            /* LSTRELEASE */
   " " ,                                                /* LSTUSRPRF */
   " " ,                                               /* OBJECTLOCK */
   "*IF *VALUE CICSTG_Gateway_Daemon.XA_Transactions_Rolled_Back_Percent 
age *GT 25",
   "PRNAMES" ,                                            /* PRNAMES */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000200" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   "CICSTG_RollbackXA_Warning" ,                          /* SITNAME */
   "SEV=Warning",                                         /* SITINFO */
   ? ,                                                     /* ADVISE */
   "CICS TG Rollback XA Warning"                             /* TEXT */
  );
    
$PARMS
(
   "Your Gateway Daemon is shutting down. If this takes longer than expe
cted you may have transactions which are not completing and are preventi
ng the Gateway daemon from shutting down. Investigate if any transaction
 is suspended."
);
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSOPT ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTCCSID ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   OBJECTLOCK ,
   PDT ,
   PRNAMES ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   SITNAME ,
   SITINFO,
   ADVISE ,
   TEXT
  )
VALUES
  ("0000000000000000000W000000000000##000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "NNN" ,                                               /* AUTOSOPT */
   "*NO" ,                                              /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   "Y" ,                                                      /* HUB */
   " " ,                                                 /* LSTCCSID */
   "1050104120000000" ,                                   /* LSTDATE */
   "V410" ,                                            /* LSTRELEASE */
   " " ,                                                /* LSTUSRPRF */
   " " ,                                               /* OBJECTLOCK */
   "*IF *VALUE CICSTG_Region_Overview.Gateway_Daemon_Status *EQ 0003", 
   "PRNAMES" ,                                            /* PRNAMES */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000200" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   "CICSTG_Status_Warning" ,                              /* SITNAME */
   "SEV=Warning",                                         /* SITINFO */
   ? ,                                                     /* ADVISE */
   "CICS TG Status Warning"                                  /* TEXT */
  );
  
$PARMS
(
   "90% of the Connection Managers threads are waiting for a Worker thre
ad. Consider allocating more Worker threads or reducing the number of Co
nnection Manager threads."
);
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSOPT ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTCCSID ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   OBJECTLOCK ,
   PDT ,
   PRNAMES ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   SITNAME ,
   SITINFO,
   ADVISE ,
   TEXT
  )
VALUES
  ("0000000000000000000W000000000000##000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "NNN" ,                                               /* AUTOSOPT */
   "*NO" ,                                              /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   "Y" ,                                                      /* HUB */
   " " ,                                                 /* LSTCCSID */
   "1050104120000000" ,                                   /* LSTDATE */
   "V410" ,                                            /* LSTRELEASE */
   " " ,                                                /* LSTUSRPRF */
   " " ,                                               /* OBJECTLOCK */
   "*IF *VALUE CICSTG_Connection_Manager_Threads.Percentage_Waiting  
    *GE 90",
   "PRNAMES" ,                                            /* PRNAMES */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000200" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   "CICSTG_ConnWait_Warning" ,                            /* SITNAME */
   "SEV=Warning",                                         /* SITINFO */
   ? ,                                                     /* ADVISE */
   "CICS TG Connection Manager Threads Waiting Warning"      /* TEXT */
  );
  
$PARMS
(
   "More than 100 client applications have been refused connections with
in the past minute due to a lack of Connection Manager threads. If this
number is large for your configuration, consider increasing the number o
f Connection Manager threads or increasing the Connection Manager timeou
t."
);
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSOPT ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTCCSID ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   OBJECTLOCK ,
   PDT ,
   PRNAMES ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   SITNAME ,
   SITINFO,
   ADVISE ,
   TEXT
  )
VALUES
  ("0000000000000000000W000000000000##000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "NNN" ,                                               /* AUTOSOPT */
   "*NO" ,                                              /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   "Y" ,                                                      /* HUB */
   " " ,                                                 /* LSTCCSID */
   "1050104120000000" ,                                   /* LSTDATE */
   "V410" ,                                            /* LSTRELEASE */
   " " ,                                                /* LSTUSRPRF */
   " " ,                                               /* OBJECTLOCK */
   "*IF *VALUE CICSTG_Connection_Manager_Threads.Times_Connecttimeout_Li
mit_Hit_Per_Minute *GT 100", 
   "PRNAMES" ,                                            /* PRNAMES */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000200" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   "CICSTG_ConnTimeout_Warning" ,                         /* SITNAME */
   "SEV=Warning",                                         /* SITINFO */
   ? ,                                                     /* ADVISE */
   "CICS TG Connection Manager Threads Timeout Warning"      /* TEXT */
  );

$PARMS
(
   "More than 100 Connection Managers have been unable to obtain a Worke
r thread within the past minute due to a lack of Worker threads. If this
 number is large for your configuration, consider increasing the number 
of Worker threads, increasing the Worker thread timeout or reducing the 
number of Connection Managers."
);
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSOPT ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTCCSID ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   OBJECTLOCK ,
   PDT ,
   PRNAMES ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   SITNAME ,
   SITINFO,
   ADVISE ,
   TEXT
  )
VALUES
  ("0000000000000000000W000000000000##000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "NNN" ,                                               /* AUTOSOPT */
   "*NO" ,                                              /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   "Y" ,                                                      /* HUB */
   " " ,                                                 /* LSTCCSID */
   "1050104120000000" ,                                   /* LSTDATE */
   "V410" ,                                            /* LSTRELEASE */
   " " ,                                                /* LSTUSRPRF */
   " " ,                                               /* OBJECTLOCK */
   "*IF *VALUE CICSTG_Worker_Threads.Number_Of_Times_Workertimeout_Limit
_Hit_Per_Minute *GT 100", 
   "PRNAMES" ,                                            /* PRNAMES */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000200" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   "CICSTG_WorkerTimeout_Warning" ,                       /* SITNAME */
   "SEV=Warning",                                         /* SITINFO */
   ? ,                                                     /* ADVISE */
   "CICS TG Worker Threads Timeout Warning"                  /* TEXT */
  );

$PARMS
(
   "More than 100 pipe allocation failures have occurred in the last min
ute. This may indicate a lack of pipes. You may need to allocate more pi
pes or change your pipe reuse model to avoid pipe allocation failures."
);
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSOPT ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTCCSID ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   OBJECTLOCK ,
   PDT ,
   PRNAMES ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   SITNAME ,
   SITINFO,
   ADVISE ,
   TEXT
  )
VALUES
  ("0000000000000000000W000000000000##000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "NNN" ,                                               /* AUTOSOPT */
   "*NO" ,                                              /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   "Y" ,                                                      /* HUB */
   " " ,                                                 /* LSTCCSID */
   "1050104120000000" ,                                   /* LSTDATE */
   "V410" ,                                            /* LSTRELEASE */
   " " ,                                                /* LSTUSRPRF */
   " " ,                                               /* OBJECTLOCK */
   "*IF *VALUE CICSTG_CICS_TS_Region_Details.EXCI_Pipe_Allocation_Failur
es_Per_Minute *GT 100", 
   "PRNAMES" ,                                            /* PRNAMES */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000200" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   "CICSTG_PipeAlloc_Warning" ,                           /* SITNAME */
   "SEV=Warning",                                         /* SITINFO */
   ? ,                                                     /* ADVISE */
   "CICS TG EXCI Pipe Allocation Failure Warning"            /* TEXT */
  );
  
$PARMS
(
   "More than 100 communication failures have occurred in the last minut
e. This suggests that CICS is not available."
);
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSOPT ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTCCSID ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   OBJECTLOCK ,
   PDT ,
   PRNAMES ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   SITNAME ,
   SITINFO,
   ADVISE ,
   TEXT
  )
VALUES
  ("0000000000000000000W000000000000##000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "NNN" ,                                               /* AUTOSOPT */
   "*NO" ,                                              /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   "Y" ,                                                      /* HUB */
   " " ,                                                 /* LSTCCSID */
   "1050104120000000" ,                                   /* LSTDATE */
   "V410" ,                                            /* LSTRELEASE */
   " " ,                                                /* LSTUSRPRF */
   " " ,                                               /* OBJECTLOCK */
   "*IF *VALUE CICSTG_CICS_TS_Regions.CICS_Communication_Failures_Per_Mi
nute *GT 100", 
   "PRNAMES" ,                                            /* PRNAMES */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000200" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   "CICSTG_CommFailure_Warning" ,                         /* SITNAME */
   "SEV=Warning",                                         /* SITINFO */
   ? ,                                                     /* ADVISE */
   "CICS TG CICS Communication Failure Warning"              /* TEXT */
  );
  
$PARMS
(
   "The number of free pipes is less than 10. If you are not expecting t
o use all of your pipes, you may need to allocate more pipes or change y
our pipe reuse model to avoid pipe allocation failures."
);
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSOPT ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTCCSID ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   OBJECTLOCK ,
   PDT ,
   PRNAMES ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   SITNAME ,
   SITINFO,
   ADVISE ,
   TEXT
  )
VALUES
  ("0000000000000000000W000000000000##000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "NNN" ,                                               /* AUTOSOPT */
   "*NO" ,                                              /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   "Y" ,                                                      /* HUB */
   " " ,                                                 /* LSTCCSID */
   "1050104120000000" ,                                   /* LSTDATE */
   "V410" ,                                            /* LSTRELEASE */
   " " ,                                                /* LSTUSRPRF */
   " " ,                                               /* OBJECTLOCK */
   "*IF *VALUE CICSTG_CICS_TS_Regions.Free_Pipes *LT 10",
   "PRNAMES" ,                                            /* PRNAMES */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000200" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   "CICSTG_Freepipe_Warning" ,                            /* SITNAME */
   "SEV=Warning",                                         /* SITINFO */
   ? ,                                                     /* ADVISE */
   "CICS TG Freepipe Warning"                                /* TEXT */
  );  
  
$PARMS
(
   "The number of Connection Manager threads in use is approaching the m
aximum. If this is higher than expected you may need to reconfigure your
 thread allocation. If the maximum is reached, the number of threads wai
ting and timed out are likely to increase."
);
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSOPT ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTCCSID ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   OBJECTLOCK ,
   PDT ,
   PRNAMES ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   SITNAME ,
   SITINFO,
   ADVISE ,
   TEXT
  )
VALUES
  ("0000000000000000000W000000000000##000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "NNN" ,                                               /* AUTOSOPT */
   "*NO" ,                                              /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   "Y" ,                                                      /* HUB */
   " " ,                                                 /* LSTCCSID */
   "1050104120000000" ,                                   /* LSTDATE */
   "V410" ,                                            /* LSTRELEASE */
   " " ,                                                /* LSTUSRPRF */
   " " ,                                               /* OBJECTLOCK */
   "*IF *VALUE CICSTG_Connection_Manager_Threads.Ratio_Of_Current_To_Max
imum_Number *GT 90",
   "PRNAMES" ,                                            /* PRNAMES */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000200" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   "CICSTG_ConnAlloc_Warning" ,                           /* SITNAME */
   "SEV=Warning",                                         /* SITINFO */
   ? ,                                                     /* ADVISE */
   "CICS TG Connection Manager Thread Allocation Warning"    /* TEXT */
  );
  
$PARMS
(
   "The number of Worker threads in use is approaching the maximum. If t
his is higher than expected you may need to reconfigure your thread allo
cation. If the maximum is reached, the number of threads waiting and tim
ed out are likely to increase."
);
INSERT INTO O4SRV.TSITDESC
  (AFFINITIES ,
   ALERTLIST ,
   AUTOSOPT ,
   AUTOSTART ,
   CMD ,
   HUB ,
   LSTCCSID ,
   LSTDATE ,
   LSTRELEASE ,
   LSTUSRPRF ,
   OBJECTLOCK ,
   PDT ,
   PRNAMES ,
   QIBSCOPE ,
   REEV_DAYS ,
   REEV_TIME ,
   SENDMSGQ ,
   SITNAME ,
   SITINFO,
   ADVISE ,
   TEXT
  )
VALUES
  ("0000000000000000000W000000000000##000000000" ,     /* AFFINITIES */
   "*NO" ,                                              /* ALERTLIST */
   "NNN" ,                                               /* AUTOSOPT */
   "*NO" ,                                              /* AUTOSTART */
   "*NONE" ,                                                  /* CMD */
   "Y" ,                                                      /* HUB */
   " " ,                                                 /* LSTCCSID */
   "1050104120000000" ,                                   /* LSTDATE */
   "V410" ,                                            /* LSTRELEASE */
   " " ,                                                /* LSTUSRPRF */
   " " ,                                               /* OBJECTLOCK */
   "*IF *VALUE CICSTG_Worker_Threads.Ratio_Of_Current_To_Maximum_Number 
    *GT 90",
   "PRNAMES" ,                                            /* PRNAMES */
   "E" ,                                                 /* QIBSCOPE */
   "0" ,                                                /* REEV_DAYS */
   "000200" ,                                           /* REEV_TIME */
   "*NONE" ,                                             /* SENDMSGQ */
   "CICSTG_WorkerAlloc_Warning" ,                         /* SITNAME */
   "SEV=Warning",                                         /* SITINFO */
   ? ,                                                     /* ADVISE */
   "CICS TG Worker Thread Allocation Warning"                /* TEXT */
  );


/* ************************************************************* */
/* FCSDOBJ - SQL calls for access list table                     */
/*                                                               */
/* Table : TOBJACCL                                              */
/* File  : &HILEV.RKDSDOBJ                                       */
/*                                                               */
/* ************************************************************* */

/* ************************************************************* */
/* Append generated by Globalization Conversion Utility          */
/*                                                               */
/* Initial run 2007/02/15                                        */
/* ************************************************************* */

UPDATE O4SRV.TSITDESC
    SET TEXT = "Kgw:KGW2007461842521000"
    WHERE SITNAME = "CICSTG_CommFailure_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kgw:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "CICSTG_CommFailure_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kgw:KGW2007461842521001"
    WHERE SITNAME = "CICSTG_ConnAlloc_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kgw:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "CICSTG_ConnAlloc_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kgw:KGW2007461842521002"
    WHERE SITNAME = "CICSTG_ConnTimeout_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kgw:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "CICSTG_ConnTimeout_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kgw:KGW2007461842521003"
    WHERE SITNAME = "CICSTG_ConnWait_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kgw:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "CICSTG_ConnWait_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kgw:KGW2007461842521004"
    WHERE SITNAME = "CICSTG_Freepipe_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kgw:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "CICSTG_Freepipe_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kgw:KGW2007461842521005"
    WHERE SITNAME = "CICSTG_Health_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kgw:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "CICSTG_Health_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kgw:KGW2007461842521006"
    WHERE SITNAME = "CICSTG_Health_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kgw:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "CICSTG_Health_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kgw:KGW2007461842521007"
    WHERE SITNAME = "CICSTG_PipeAlloc_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kgw:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "CICSTG_PipeAlloc_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kgw:KGW2007461842521008"
    WHERE SITNAME = "CICSTG_RollbackLUW_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kgw:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "CICSTG_RollbackLUW_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kgw:KGW2007461842521009"
    WHERE SITNAME = "CICSTG_RollbackLUW_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kgw:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "CICSTG_RollbackLUW_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kgw:KGW2007461842521010"
    WHERE SITNAME = "CICSTG_RollbackXA_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kgw:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "CICSTG_RollbackXA_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kgw:KGW2007461842521011"
    WHERE SITNAME = "CICSTG_RollbackXA_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kgw:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "CICSTG_RollbackXA_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kgw:KGW2007461842521012"
    WHERE SITNAME = "CICSTG_Status_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kgw:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "CICSTG_Status_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kgw:KGW2007461842521013"
    WHERE SITNAME = "CICSTG_WorkerAlloc_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kgw:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "CICSTG_WorkerAlloc_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kgw:KGW2007461842521014"
    WHERE SITNAME = "CICSTG_WorkerTimeout_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kgw:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "CICSTG_WorkerTimeout_Warning";
/* END OF kgw.sql INSERT                                         */
/*****************************************************************/
/*********************************************************************/
/* This section contains all the updates and changes that need to be */
/* applied to customer environments who are upgrading from a previous*/
/* version of the product.                                           */
/*                                                                   */
/*********************************************************************/

/*********************************************************************/
/*                                                                   */
/* Start of OMEGAMON XE for CICS TG to Tivoli Enterprise Console(TEC)*/
/* and Netcool/OMNIbus event severity mapping.                       */
/*                                                                   */
/* Setting SITINFO column with SEV= parm will map the severity.      */
/*                                                                   */
/* Added: V420                                                       */
/*                                                                   */
/*********************************************************************/
UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSTG_CommFailure_Warning";
UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSTG_ConnAlloc_Warning";
UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSTG_ConnTimeout_Warning";
UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSTG_ConnWait_Warning";
UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSTG_Freepipe_Warning";
UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSTG_Health_Critical";
UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSTG_Health_Warning";
UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSTG_PipeAlloc_Warning";
UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSTG_RollbackLUW_Critical";
UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSTG_RollbackLUW_Warning";
UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Critical"
    WHERE SITNAME = "CICSTG_RollbackXA_Critical";
UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSTG_RollbackXA_Warning";
UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSTG_Status_Warning";
UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSTG_WorkerAlloc_Warning";
UPDATE O4SRV.TSITDESC
    SET SITINFO = "SEV=Warning"
    WHERE SITNAME = "CICSTG_WorkerTimeout_Warning";

